/* ------------------------------------------------------------ *\
	Form Elements
\* ------------------------------------------------------------ */

input::placeholder {
	color: inherit;
	opacity: 1;
}

textarea::placeholder {
	color: inherit;
	opacity: 1;
}

input:-webkit-autofill {
	-webkit-text-fill-color: inherit;
	-webkit-box-shadow: 0 0 0 1000px #fff inset;
}

.field {
}

.textarea {
}

.select {
}

.radio {
}

.checkbox {
}

/* ------------------------------------------------------------ *\
	Select main
\* ------------------------------------------------------------ */

.select--main {
	.selectric {
		width: 118px;
		height: 45px;
		display: inline-block;
		border: 1px solid #000000;
		background-color: #ffffff;
		color: #000000;
		font-size: 16px;
		font-weight: 600;

		.label {
			height: 45px;
			line-height: 45px;
			color: #000000;
			font-size: 16px;
			font-weight: 600;
		}

		.button {
			height: 45px;
			width: 44px;
			background: transparent;
			top: -2px;

			&:after {
				top: -4px;
				width: 10px;
				height: 10px;
				transform: rotate(135deg);
				border: 0;
				border-right: 1px solid #000 !important;
				border-top: 1px solid #000 !important;
				transition: border-color .4s;
			}
		}
	}

	.selectric-items {
		background: #fff;

		li {
			transition: background .4s;
			color: #000000;
			font-size: 16px;
			font-weight: 600;

			&:hover {
				background: #f6f6f6;
			}

			&.highlighted {
				background: #f6f6f6;
			}
		}

	}

	@media #{$mobile} {
		.selectric {
			.label {
				height: 45px;
				line-height: 45px;
				color: #000000;
				font-size: 16px;
				font-weight: 600;
				margin: 0 54px 0 17px;
			}

			.button {
				width: 52px;
				top: 0px;

				&:after {
					top: -6px;
				}
			}
		}

	}
}


/* ------------------------------------------------------------ *\
	Select main secondary
\* ------------------------------------------------------------ */

.select--main-secondary {
	width: 120px;

	.selectric-wrapper {
		height: 30px;
	}

	.selectric {
		border: 0;
		width: 120px;
		height: 30px;

		.label {
			margin: 0 20px 0 6px;
			font-size: 14px;
			font-weight: 600;
			height: 30px;
			line-height: 28px;
		}

		.button {
			width: 15px;
			height: 30px;

			&:after {
				width: 6px;
				height: 6px;
				top: -3px;
			}
		}
	}

	.selectric-items {
		padding: 21px 0 23px;
		width: 213px !important;
		left: auto;
		right: 0;
		border: 1px solid rgba(112, 112, 112, 0.18);
		z-index: 1;

		li {
			font-size: 15px;
			font-weight: 400;
			padding: 10px 20px 8px 39px;
			letter-spacing: 0.05em;

			&:first-child() {
				display: none;
			}
		}

		li.highlighted {
			background: #fff;
		}
	}

	@media #{$mobile} {
		.selectric {
			.button {
				&:after {
					top: -4px;
				}
			}
		}
	}
}

/* ------------------------------------------------------------ *\
	Form control
\* ------------------------------------------------------------ */

.form-control {
	padding: 0 18px;
	height: 53px;
	border-radius: 0;
	appearance: none;
	border: 1px solid #a49595;
	font-size: 13px;
	font-weight: 400;
	outline: 0 !important;
	box-shadow: none !important;

	&::placeholder {
		color: #a49595;
	}

	& + .form-control {
		margin-top: 10px;
	}

	@media #{$mobile} {
		padding: 0 15px;

		& + .form-control {
			margin-top: 21px;
		}
	}
}

/* ------------------------------------------------------------ *\
	Select primary
\* ------------------------------------------------------------ */

.select--primary {
	position: relative;

	& > a {
		display: block;
		text-decoration: none;
		position: relative;
		padding: 5px 27px 5px 0;

		&:before {
			content: '';
			display: inline-block;
			width: 9px;
			height: 9px;
			border-left: 1px solid #000;
			border-bottom: 1px solid #000;
			position: absolute;
			top: 4px;
			right: 3px;
			transform: rotate(-45deg);
			transition: top .4s, transform .4s, border-color .4s;
		}
	}

	.dropdown {
		visibility: hidden;
		opacity: 0;
		transition: visibility .2s, opacity .2s;
	}

	&.visible {
		.dropdown {
			visibility: visible;
			opacity: 1;
		}
	}

	&.select--colors {
		.dropdown {
			width: 413px;
			padding: 18px 13px 13px 9px;
		}
	}

	&.select--brand {
		.dropdown {
			width: 248px;
		}
	}

	&.select--category {
		.dropdown {
			width: 248px;
		}
	}

	&.select--size {
		.dropdown {
			width: 194px;
		}

		.dropdown__inner-content {
			height: 297px;
			padding-top: 11px;
		}

		.dropdown__inner {
			overflow-y: scroll;

			&::-webkit-scrollbar {
			    width: 2px;
			}

			&::-webkit-scrollbar-track {
			    background: #fff;
			}

			&::-webkit-scrollbar-thumb {
			    background: #000000;
			}

			&::-webkit-scrollbar-thumb:hover {
			    background: #fff;
			}
		}
	}

	&.select--price {
		.dropdown {
			width: 276px;
		}
	}

	.dropdown {
		padding: 24px 16px 32px 24px;
		position: absolute;
		top: 100%;
		right: 0;
		border: 1px solid rgba(112, 112, 112, 0.18);
		background: #fff;
		z-index: 20;
	}

	.dropdown__inner-content {
		padding-top: 5px;
	}
}

/* ------------------------------------------------------------ *\
	Select primary small
\* ------------------------------------------------------------ */

.select--primary-small {
	& > a {
		padding-right: 27px;
		font-weight: 600;

		&:before {
			width: 6px;
			height: 6px;
			top: 9px;
		}
	}

	.dropdown {
		width: 213px;
	}
}

/* ------------------------------------------------------------ *\
	Checkbox
\* ------------------------------------------------------------ */

.checkbox {
	input {
		display: none;

		&:checked + label:after {
			display: inline-block;
		}
	}

	label {
		padding-left: 38px;
		position: relative;
		font-size: 15px;
		font-weight: 400;
		letter-spacing: 0.042em;

		&:before {
			content: '';
			display: inline-block;
			width: 21px;
			height: 20px;
			border: 1px solid rgba(0, 0, 0, 0.18);
			position: absolute;
			top: -2px;
			left: 0;
		}

		&:after {
			content: '';
			display: none;
			width: 17px;
			height: 14px;
			background-size: 17px 14px;
			background-image: url(../images/ico_check.png);
			position: absolute;
			top: -1px;
			left: 4px;
		}
	}
}

/* ------------------------------------------------------------ *\
	Select filters
\* ------------------------------------------------------------ */

.select--filters {
	@media #{$mobile} {
		.selectric-items {
			display: none !important;
		}
	}
}
